<section class="stepper-form">
  <div [ngClass]="[jds.d('flex'), jds.gap(16)]">
    @for (item of stepper(); track item; let i = $index, last = $last) {
      <ng-container
        [ngTemplateOutlet]="content"
        [ngTemplateOutletContext]="{
          index: i,
          item: item,
          current: current()
        }"
      />

      @if (!last) {
        <div [ngClass]="[jds.minW(115)]">
          <hr
            [ngClass]="[
              jds.bg(
                current() >= i ? jdsBiColor.blue['700'] : jdsBiColor.gray['300']
              ),
              jds.h(2)
            ]"
            [style.opacity]="1"
          />
        </div>
      }
    }
  </div>
</section>

<ng-template
  #content
  let-index="index"
  let-item="item"
  let-current="current"
>
  <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
    <div
      [ngClass]="[
        jds.d('flex'),
        jds.alignItems('center'),
        jds.justifyContent('center'),
        jds.bg(
          current >= index ? jdsBiColor.blue['700'] : jdsBiColor.gray['300']
        ),
        jds.text(current >= index ? 'white' : jdsBiColor.gray['800']),
        jds.rounded('circle'),
        jds.w(32),
        jds.h(32),
        jds.me(8)
      ]"
    >
      {{ index + 1 }}
    </div>
    <span
      [ngClass]="[
        jds.text(
          current >= index ? jdsBiColor.blue['700'] : jdsBiColor.gray['800']
        )
      ]"
    >
      {{ item }}
    </span>
  </div>
</ng-template>
